## developers-reference 2.7.2

=== Makefile ===
# Makefile, used for the DDP manuals.sgml area

MANUAL		:= $(shell basename $(shell pwd))
PUBLISHDIR	:= ../../../public_html/manuals.html

publish:	build
	[ -d $(PUBLISHDIR) ] || exit 1
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	install -m 644 --preserve-timestamps $(MANUAL).html/*.html	\
	   $(PUBLISHDIR)/$(MANUAL)

.PHONY:	build
build:
	debian/rules build

clean:
	debian/rules clean

## developers-reference 2.4.1.2

=== debian/changelog ===
developers-reference (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuilt since HTML versions of Chapters 1 and 2 were truncated
    (important bug, no number yet, bugs.debian.org isn't working;
    regardless, this should go in hamm because a broken developers
    reference won't win us many friends in hamm, and after all, it's just
    text, it can't hurt you.)
  * no content changes, except that the version number in the SGML file
    reflect this packages version number
  * debian/rule: clean is cleaner now

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 01:35:39 -0400

developers-reference (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:56:36 +0200

developers-reference (2.4.1.0) frozen unstable; urgency=low

  * New version numbering scheme:
  
    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.
    
    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals. 
  
      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.
  
  * Uploaded to frozen and unstable. This is a documentation-only
    package and the changes to the manual are relevant for hamm.

  * No changes to the Developer's Reference
  
 -- Christian Schwarz <schwarz@debian.org>  Mon, 13 Apr 1998 17:54:43 +0200

developers-reference (0.5) unstable; urgency=low

  * Changes to the Developer's Reference:
  
    - Changed section 1.2 Registering as a Debian developer:
      + signatures from formal certification service are _NOT_ accepted
        anymore
      + images of ID documents have to be PGP or RSA signed
      (as requested by James Troup)
  
    - Use current date instead of <date> in manual
    
  * Updated FSF's address (reported by Lintian)

 -- Christian Schwarz <schwarz@debian.org>  Sat,  7 Mar 1998 13:52:15 +0100

developers-reference (0.4) unstable; urgency=low

  * Changes to the Developer's Reference:

    - Renamed chapter 4 into `Package uploads'

    - New section 4.2.5 Uploading to the non-us server

    - Changed section 4.4 Interim releases:
      + non-maintainer releases should not close bugs
      + normal maintainer must at least read the patch provided with
        the non-maintainer release

    - New chapter 5 Handling bug reports:
      + when reporting more then 10 bugs on the same topic, a message
        has to be sent to debian-devel and the `maintonly' address
        should be used

    - Lots of typos fixed

  * Compressed SGML source code

  * Added support for doc-base to register the Developer's Reference
    to the online documentation systems dwww and dhelp

  * Upgraded to standards version 2.4.0.0 (no changes)
  
 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:58:34 +0100
  

developers-reference (0.3) unstable; urgency=low

  * Put lost sections from Policy Manual 2.1.3.3 back in:
      - Generating the changes file (for uploads)
      - Announcing package uploads
  * New section about Debian Mentors
  * debian/rules: Don't use debstd anymore
  * debian/rules: Compress changelog file (fixes:#15441)
  * Fixed link to WNPP list (fixes:#16201)
  * Added menu entry (fixes:#15708)
  
 -- Christian Schwarz <schwarz@debian.org>  Wed, 24 Dec 1997 13:54:33 +0100
  

developers-reference (0.2) unstable; urgency=low

  * New chapter about `The Debian Archive' describing the structure
    of our FTP server and the development process
  * Added note that new maintainers have to read the Social Contract
    and have to know where to find the Policy and Packaging Manuals
  * PGP key ring is not distributed via dpkg but in doc/ of the FTP
    server
  * Added note that cross posting between Debian lists is depreciated
  * New list of advantages why new packages should be discussed on
    debian-devel before they are uploaded
  * Added section about how packages are uploaded
  * Added note that the Security Managers may do interim releases without 
    contacting the maintainer
  * Removed chapter about bug tracking system (will be included in
    a new manual released soon)
  * Some minor changes
  * Include SGML source in package
  * Don't use `2-up' style for PostScript version
  * Upgraded to Standards 2.3.0.1

 -- Christian Schwarz <schwarz@debian.org>  Sun,  2 Nov 1997 20:53:26 +0100
  

developers-reference (0.1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 8 Jul 1997 00:19:49 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: developers-reference
Section: doc
Priority: extra
Maintainer: Debian QA <debian-qa@lists.debian.org>
Standards-Version: 2.4.1.0

Package: developers-reference
Architecture: all
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference.
 .
 Table of Contents:
 .
      1 Applying to Become a Maintainer 
      2 Internet Servers 
      3 The Debian Archive
      4 Package uploads
      5 Handling bug reports

=== debian/rules ===
#!/usr/bin/make -f

package=developers-reference

build:
	$(checkdir)
	debiandoc2html developers-reference.sgml
	debiandoc2text developers-reference.sgml
	gzip -9 developers-reference.text
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf developers-reference.html
	-rm -rf developers-reference.text* 
	-rm -rf developers-reference.lout* lout.li
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a developers-reference.html debian/tmp/usr/doc/developers-reference/
	cp developers-reference.text.gz debian/tmp/usr/doc/developers-reference/
	cp developers-reference.sgml debian/tmp/usr/doc/developers-reference/
	gzip -9 debian/tmp/usr/doc/developers-reference/developers-reference.sgml
	cp debian/{copyright,changelog} debian/tmp/usr/doc/developers-reference/
	gzip -9 debian/tmp/usr/doc/developers-reference/changelog
	cp debian/menu debian/tmp/usr/lib/menu/developers-reference
	cp developers-reference.desc debian/tmp/usr/share/doc-base/developers-reference
	cp debian/{control,postinst,prerm} debian/tmp/DEBIAN/
	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -1 -O developers-reference.sgml | gzip -9v > ../developers-reference.ps.gz
	dpkg-distaddfile -fdebian/files developers-reference.ps.gz byhand -
	GZIP=-9v tar zcf ../developers-reference.html.tar.gz developers-reference.html
	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz byhand -
	cp developers-reference.text.gz ..
	dpkg-distaddfile -fdebian/files developers-reference.text.gz byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## developers-reference 2.6.0

=== debian/changelog ===
developers-reference (2.6.0) frozen unstable; urgency=low

  * would be nice to sneak this into slink; it's just documentation!
  * Ch. "Porting and Being Ported": porter information broken out into it's
    own chapter, Sec. "Guidelines for Porter Uploads" and "When to do a
    source NMU if you are a porter" moved to this chapter; porter tool
    descriptions such as 'quinn-diff' moved to this section.  Sec. "Being
    Kind to Porters" added, with tips for how to avoid making problems for
    porters.
  * Ch. "Non-Maintainer Uploads (NMUs)": update for the new chapter, and
    tighten up the language a bit
  * Sec. "Monitoring bugs": add a little cron job to get an 'index maint'
    of outstanding bugs (closes Bug#31259), loosen language a tiny bit
    w.r.t. non-maintainers or submitters closing bugs (closes Bug#30394)
  * Sec. "Scope of This Document": point out that this file is not
    official policy
  * Ch. "Handling Bugs": renamed from "Handling Bug Reports", incorporate
    some suggestions from James Troup, namely, don't mail from your root
    account, don't close bugs via control@bugs.debian.org; break out new
    sections, "Submitting Bugs" and "Responding to Bugs"
  * Ch. "Overview of Debian Maintainer Tools": remove attribution for
    package maintainers, since I can't keep up; add entries for fakeroot
    and devscripts
  * Ch. "Maintaining Your Debian Information": new chapter, quite small
    right now; it mentions keyring-maint@debian.org for key modification,
    warns against putting private keys on multi-user machines, and talks
    about how to depart Debian gracefully
  * typo correction from Christian Hudon (closes Bug#32052)
  * menu file removed, obsoleted by doc-base file
  * parameterize some often-changing values with SGML entities, update
    number of available packages
  * use new way of notating multiple copyrights
  * change <tt> elements to <file> where appropriate

 -- Adam Di Carlo <aph@debian.org>  Thu, 11 Feb 1999 02:53:55 -0500

developers-reference (2.5.0.5) unstable; urgency=low

  * add version.ent to docdir, needed to reconstruct from SGML 
    (closes Bug#31034)

 -- Adam Di Carlo <aph@debian.org>  Tue, 29 Dec 1998 02:42:50 -0500

developers-reference (2.5.0.4) unstable; urgency=low

  * not officially released
  * more spelling corrections
  * s/ppc/powerpc/ (thanks, James Troup)

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Dec 1998 00:07:40 -0500

developers-reference (2.5.0.3) unstable; urgency=low

  * not officially released
  * Sec. "Removing a package from Incoming": tiny section added
  * some PGP-centricity removed
  * Sec. "Adopting a package": point out that hijacking packages is not ok 
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters": change 'NMU' to
    'source NMU', 'port' to 'binary NMU', shorten the window for porters a
    tad; fix spelling; stress that non-maintainer patches must be
    non-disruptive and that aesthetic issues are not suitable for fixing
    by non-maintainers; other fixes as suggested by interested parties

 -- Adam Di Carlo <aph@debian.org>  Wed, 25 Nov 1998 00:01:27 -0500

developers-reference (2.5.0.2) frozen unstable; urgency=low

  * not officially released
  * maintainer name change (but it's still me)
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters":  new chapter
    discussing NMUs and porters; Section "Interim Releases" integrated out
    of existance.  New TOC for this section is:
         * 6 Non-Maintainer Uploads (NMUs) and Porters
            + 6.1 Who can do a port or an NMU
            + 6.2 When to do a port or an NMU
                 o 6.2.1 When to do an NMU if you are a porter
            + 6.3 How to do an NMU
                 o 6.3.1 NMU version numbering
                 o 6.3.2 NMUs must create a changelog entry
                 o 6.3.3 NMUs must send patches, if any, to the BTS
                 o 6.3.4 Building the NMU
            + 6.4 Guidelines for Porters
  
  * Sec. "Maintainer changes": renamed to "Adopting a package" and moved
    to Chapter "Moving, Removing, Renaming, Adopting, and Orphaning
    Packages".
  * Sec. "Reporting lots of bugs at once": more forcefully deprecate this
    practice
  * Sec. "Adopting a package": mention that the BTS maintainer update can
    take a couple of weeks
  * Sec. "Overview of Debian Maintainer Tools": give credit where credit
    is due and attribute current maintainers; add `apt'; add `quinn-diff';
    add mention of as yet unreleased 'buildd' package, since I'm so
    excited about it and can't wait
  * Sec. "Removing packages": talk about how apt-cache can be used to look
    at reverse depends, a good step to take prior to removing a package
    from the archive
  * show *full* TOC, including sect2
  * of course the obligatory typo, grammar, and spelling corrections

  * Makefile: small changes to accomodate DDP autobuild
  * debian/dirs: obsolete, removed
  * debian/rules: use changelog date for SGML timestamping, not current date

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Nov 1998 12:27:53 -0500

developers-reference (2.5.0) frozen unstable; urgency=low

  * move to 3-level version number:
    top-level version number probably won't change for a whil, it is the
    "major", the second-level number means significant content changes,
    and the third-level change means corrections and minor improvements.
    Since this version has significant content changes, we are now 2.5.0.
    Since I'm going to put porter instructions in the next major rev, that
    will be 2.6.0...

  * use new <package> tag where appropriate (Ardo, you rock)
  * replace 'm86k' with 'm68k'
  * rename 'Whirlwind Tour of ...' section to 'Overview of ...' (suggested 
    by James Troup)
  * typos and "red-pen" corrections, fix cosmetic problems in PostScript
    version
  * remove the one case I use an URL fragment identifier, since
    debiandoc-sgml doesn't like it (bug filed against debiandoc-sgml)


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: developers-reference
 Section: doc
 Priority: extra
-Maintainer: Debian QA <debian-qa@lists.debian.org>
-Standards-Version: 2.4.1.0
+Maintainer: Adam Di Carlo <aph@debian.org>
+Standards-Version: 2.5.0
 
 Package: developers-reference
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference
#
# I do not use debstd, debhelper, or any of that stuff.
# I believe in stripped down rules files; nothing that is not required
# I believe in readability through abstraction

package		:= developers-reference

# directory abstraction
prefix		:= debian/tmp
docdir		:= $(prefix)/usr/doc/$(package)
libdir		:= $(prefix)/usr/lib/$(package)
sharedir	:= $(prefix)/usr/share/$(package)
docbasedir	:= $(prefix)/usr/share/doc-base

# tool abstraction
install_file	:= install -o root -g root -m 644
install_script	:= install -o root -g root -m 755
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# version abstraction
DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
# pretty-print the date
DATE		:= $(shell date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')

# source depends -- check if these packages are installed
SRC_DEPENDS	:= debiandoc-sgml lout psutils

.PHONY: source-depends
source-depends:
	@set -e								;\
	for dep in $(SRC_DEPENDS); do					\
	    echo "checking if package \`$$dep' is installed..."		;\
	    dpkg --get-selections | grep "$$dep\W\+install" ||	\
		exit 1							;\
	done
	@echo "all source-depends seem to be installed, good"

build:	developers-reference.sgml
	$(checkdir)
	#./debian/rules source-depends
	rm -f version.ent
	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
	echo "<!entity date    \"$(DATE)\">"        >> version.ent
	nsgmls -wall -s -E20 developers-reference.sgml	# check SGML syntax
	debiandoc2html developers-reference.sgml
	debiandoc2text developers-reference.sgml
	debiandoc2ps -pletter -1 developers-reference.sgml
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -rf developers-reference.html
	rm -f developers-reference.text*
	rm -f developers-reference.ps
	rm -f developers-reference.lout* lout.li
	rm -f developers-reference.sasp*
	rm -f version.ent
	rm -f `find . -name "*~"`
	rm -rf $(prefix)
	rm -f debian/files* core debian/substvars

binary-indep:	build
	$(checkdir)
	rm -rf $(prefix)
	$(make_directory) $(prefix)/DEBIAN
	$(make_directory) $(docdir) $(libdir) $(sharedir) $(docbasedir)

	$(make_directory) $(docdir)/developers-reference.html
	$(install_file) developers-reference.html/*			\
		$(docdir)/developers-reference.html/
	$(install_file) developers-reference.text $(docdir)
	$(install_file) developers-reference.sgml version.ent $(docdir)
	$(install_file) debian/copyright $(docdir)
	$(install_file) debian/changelog $(docdir)
	$(install_file) developers-reference.desc $(docbasedir)/$(package)

	# make sure control files are good
	sh -n debian/postinst
	sh -n debian/prerm
	# install the control files
	$(install_script) debian/control debian/postinst debian/prerm	\
		$(prefix)/DEBIAN/

	# compress docdir (policy)	
	find $(docdir) -type f \( -size +4k -or -iname "change*" \)	\
		! -name "*.html" ! -name "*.gif"			\
		! -name "copyright" | xargs $(compress)

	dpkg-gencontrol -isp
	dpkg --build $(prefix) ..

	# some extra-package files
	$(install_file) developers-reference.ps ../
	$(compress) ../developers-reference.ps
	dpkg-distaddfile -fdebian/files developers-reference.ps.gz byhand -
	GZIP=-9v tar czf ../developers-reference.html.tar.gz		\
		developers-reference.html
	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz\
		byhand -
	$(install_file) developers-reference.text ..
	$(compress) developers-reference.text
	dpkg-distaddfile -fdebian/files developers-reference.text.gz byhand -

binary-arch:	build
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

define checkroot
	test `id -u` = 0
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## developers-reference 2.7.2

=== debian/changelog ===
developers-reference (2.7.2) frozen unstable; urgency=medium

  * I believe this should go into frozen because (a) it's only
    documentation, so it can't introduce RC bugs, and (b) it fixes an
    error which prevented it from building properly; however, whatever
    ftpmaster feels is best is fine
  *
  * include common.ent as well as version.ent 
    (closes: Bug#52582, Bug#48926)
  * debian/rules: fix build error caused by newer debiandoc-sgml; remove
    constitution.en.html, since that is now located in the doc-debian
    package (closes: Bug#54778, Bug#42014); don't compress .pdf file
  *
  * All changes below from Raphael Hertzog <hertzog@debian.org>
  *
  * Sec. "Uploading to master" and "Uploading to pandora": 
    explained dinstall -n (closes: Bug#45079)
  * Sec. "Picking a distribution": added reference to the debian-release
    team (closes: Bug#52906)
  * Sec. "Announcing package uploads": rewrote it to take care of the fact
    that dinstall is doing it automatically (closes: Bug#43877)
  * Sec. "Mailing lists": added a paragraph about debian-email
    (closes: Bug#40258)
  * Changed the "Maintaining Your Debian Information" into "Debian
    Developer's Duties" (closes: Bug#28908)
    - added a section about the LDAP database
    - added a section about the "on vacation" message
    - added a section about the coordination with upstream developers
      (closes: Bug#43878)
    - added a section about managing Release Critical bugs
    - added a section about Quality Assurance effort

 -- Adam Di Carlo <aph@debian.org>  Sun, 16 Apr 2000 23:24:33 -0400

developers-reference (2.7.1) unstable; urgency=low

  * Sec. "Registering as a Debian developer": we are transitioning away
    from non-free PGP -- remove allusions to non-free software such as
    PGPv2 or v5 insofar as possible; recommend use of DSS keys rather than
    RSA
  * Sec. "Maintaining Your Public Key": remove PGP-centric stuff
  * Sec. "When bugs are closed by new uploads": describe how to close bugs
    via a magic changelog entry (closes: Bug#43690)
  * Sec. "Generating the changes file": refer to Sec. "When bugs are
    closed by new uploads" for closing bugs via a changelog entry
  * developers-reference.sgml: re-enable RCS variables in CVS sources
  * debian/control,rules: dynamically generate the TOC in the package
    description from developers-reference.sgml

 -- Adam Di Carlo <aph@debian.org>  Sun, 12 Sep 1999 18:15:59 -0400

developers-reference (2.7.0) unstable; urgency=low

  * developers-reference.sgml: separated out language-independant elements
    into common.ent (not content changes); misc minor grammar changes
    throughout
  * doc-base: change section for *constitution* to Debian (not 'debian')
    (closes Bug#37392)
  * Sec. "Stable, unstable, and sometimes frozen": mention how old stable
    releases are available at archive.debian.org
  * Sec. "Uploading to pandora (non-us)" added, remove stale
    information about the old anonymous ftp area (closes Bug#39541);
    Sec. "Other Upload Queues" added about that upload queues, added
    samosa and master.debian.org.jp (closes Bug#37804)
  * Sec. "Yada": mention that yada might not be as robust as other package
    producing systems, at request of the author; Sec. "equivs" added
  * Sec. "Moving packages": at the request of Guy Maor, clarify that this
    procedure is for moving packages in sections (i.e., free, contrib)
    only
  * Sec. "Registering as a Debian developer": talk about RSA keys rather
    than PGP keys, since I think GPG can create/handle them now; mention
    that the official pkg maintainer address much match an ID on your key;
  * Sec. "Maintaining Your Public Key": beef up the warnings a bit; point
    to the PGP FAQ
  * Sec. "Mailing Lists, Servers, and Other Machines": clean up and
    clarify section; mention that all developers are expected to be
    subscribed to debian-private and debian-devel-announce
  * Sec. "Other Debian Machines": remove list of machines; point to
    http://www.debian.org/devel/machines instead
  * Sec. "Release code names": potato is 2.2
  * Sec. "Guidelines for Porter Uploads": talk about recompile only
    uploads and version numbers for this (i.e., foo_2.4-1.0.1), from a
    suggestion from James Troup
  * Sec. "buildd": mention andrea, and buildd.debian.org
  * Sec. "Removing packages": correct apt-cache usage
  * debain/rules: update standards to 3.0.1 -- since I'm not moving
    /usr/doc to /usr/share/doc yet, no changes were required except in the
    text here and there

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Aug 1999 23:29:45 -0400

developers-reference (2.6.8) unstable; urgency=low

  * when applying as a new user, the login name can be *eight* characters,
    not seven (thanks to Rafael Caetano dos Santos)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 21:50:04 -0400

developers-reference (2.6.7) unstable; urgency=low

  * SGML'ish: normalize SGML elements, refill paragraphs (closes Bug#37987)
  * doc-base: change section to Debian -- hmm, this looks like a doc-base
    bug, really, but hey, who am I to refile bugs to another one of my own
    packages? (closes Bug#37392)
  * Ch. "Overview of Debian Maintainer Tools": new section for yada (um,
    someone who uses this should check my description), correct build ->
    debuild in the devscripts section (closes Bug#38053)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 01:41:45 -0400

developers-reference (2.6.6) unstable; urgency=low

  * Sec. "The master server": note that problems on Debian ftp can be sent
    to ftpmaster@debian.org also
  * Secs. "Uploads via chiark" and "Uploads via erlangen": remove
    'cron-driven' (thanks Roman Hodek)
  * Sec. "Being Kind to Porters": typos corrected, note that binary-arch
    and binary-indep targets should work independantly (thanks Roman
    Hodek)
  * Sec. "buildd": remove erroneous reference to debbuild, reorganize the


=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.0.1

Package: developers-reference
Architecture: all
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference.
 .
 Table of Contents:
 .

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference
#
# I do not use debstd, debhelper, or any of that stuff.
# I believe in stripped down rules files; nothing that is not required
# I believe in readability through abstraction

package		:= developers-reference

# directory abstraction
prefix		:= debian/tmp
docdir		:= $(prefix)/usr/doc/$(package)
sharedir	:= $(prefix)/usr/share/$(package)
docbasedir	:= $(prefix)/usr/share/doc-base

# tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# version abstraction
DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
# pretty-print the date
DATE		:= $(shell LC_ALL=C date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')

# source depends -- check if these packages are installed
SRC_DEPENDS	:= debiandoc-sgml lout psutils

.PHONY: source-depends
source-depends:
	@set -e								;\
	for dep in $(SRC_DEPENDS); do					\
	    echo "checking if package \`$$dep' is installed..."		;\
	    dpkg --get-selections | grep "$$dep\W\+install" ||	\
		exit 1							;\
	done
	@echo "all source-depends seem to be installed, good"

build:	developers-reference.sgml
	$(checkdir)
#	./debian/rules source-depends
	rm -f version.ent
	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
	echo "<!entity date    \"$(DATE)\">"        >> version.ent
	nsgmls -wall -s -E20 $^		# check SGML syntax
	debiandoc2html $^
	debiandoc2text $^
	debiandoc2latexpdf -p letter $^
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -rf developers-reference.html
	rm -f developers-reference.txt* developers-reference.ps	\
	  developers-reference.pdf developers-reference.lout* lout.li	\
	  developers-reference.sasp* developers-reference.tex		\
	  developers-reference.aux developers-reference.toc 		\
	  developers-reference.idx version.ent
	rm -f `find . -name "*~"`
	rm -rf $(prefix)
	rm -f debian/files* core debian/substvars

binary-indep:	build
	$(checkdir)
	$(checkroot)
	rm -rf $(prefix)
	$(make_directory) $(prefix)/DEBIAN
	$(make_directory) $(docdir) $(sharedir) $(docbasedir)

	$(make_directory) $(docdir)/developers-reference.html
	$(install_file) developers-reference.html/*			\
		$(docdir)/developers-reference.html/
	$(install_file) developers-reference.txt $(docdir)/
	$(install_file) developers-reference.pdf $(docdir)/
	$(install_file) developers-reference.sgml version.ent common.ent $(docdir)/
	$(install_file) debian/copyright $(docdir)/
	$(install_file) debian/changelog $(docdir)/
	$(install_file) developers-reference.desc $(docbasedir)/$(package)

#	 make sure control files are good
	sh -n debian/postinst
	sh -n debian/prerm
	$(install_script) debian/postinst debian/prerm $(prefix)/DEBIAN/

#	 compress docdir (policy)	
	find $(docdir) -type f \( -size +4k -or -iname "change*" \)	\
		! -name "*.html" ! -name "*.gif" ! -name "*.pdf"	\
		! -name "copyright" | xargs $(compress)

	dpkg-gencontrol -isp
#	 be tricky about putting the TOC sections into the description of the package
	perl -ne '/^\d+\.\s/ && print "    $$_";' < developers-reference.txt \
		>> $(prefix)/DEBIAN/control

	dpkg --build $(prefix) ..

#	 some extra-package files
	$(install_file) developers-reference.pdf			\
	  ../developers-reference.pdf.$(DEB_VERSION)
	dpkg-distaddfile -fdebian/files developers-reference.pdf.$(DEB_VERSION) byhand -
	GZIP=-9 tar czf ../developers-reference.html.tar.gz.$(DEB_VERSION)\
	  developers-reference.html
	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz.$(DEB_VERSION)\
	  byhand -
	$(install_file) developers-reference.txt			\
	  ../developers-reference.txt
	$(compress) ../developers-reference.txt
	mv ../developers-reference.txt.gz				\
	  ../developers-reference.txt.gz.$(DEB_VERSION)
	dpkg-distaddfile -fdebian/files					\
	  developers-reference.txt.gz.$(DEB_VERSION) byhand -

binary-arch:	build
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
	test -f developers-reference.sgml
endef

# Below here is fairly generic really

define checkroot
	test `id -u` = 0
endef

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

#Local variables:
#mode: makefile
#End:

## developers-reference 2.11

=== Makefile ===
# Makefile, used for the DDP manuals.sgml area

MANUAL		:= $(notdir $(shell pwd))
PUBLISHDIR	:= ../../../public_html/manuals.html

SOURCES		:= $(wildcard *.sgml)

TARGETS		:= $(foreach fmt,html txt pdf,developers-reference.$(fmt)) \
		     $(filter-out developers-reference.ja.pdf, \
		       $(foreach langext,.ja .fr, \
		         $(foreach fmt,html txt pdf,developers-reference$(langext).$(fmt))))

# programs for creating output
DEBIANDOC2HTML	:= debiandoc2html -c
DEBIANDOC2TEXT	:= debiandoc2text
DEBIANDOC2LATEX	:= debiandoc2latex

make_directory	:= install -d -m 755
install_file	:= install -m 644 -p

MAX_TEX_RECURSION := 5

.PHONY:	all
all:    $(TARGETS)

.PHONY: validate
validate:	$(addsuffix .validate,$(SOURCES))

# hmmm, this rule may need to be revised/tested
publish:	all
	[ -d $(PUBLISHDIR) ] || exit 1
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	$(make_directory) $(PUBLISHDIR)/$(MANUAL)
	$(install_file) developers-reference*.html/*.html	\
	   $(PUBLISHDIR)/$(MANUAL)

developers-reference.html:	developers-reference.sgml
	$(DEBIANDOC2HTML) -l C $<

developers-reference.%.html:	developers-reference.%.sgml
	$(DEBIANDOC2HTML) -l $* $<

developers-reference.txt:	developers-reference.sgml
	$(DEBIANDOC2TEXT) -l C -O $< > $@

developers-reference.%.txt:	developers-reference.%.sgml
	$(DEBIANDOC2TEXT) -l $* -O $< > $@

developers-reference.tex:	developers-reference.sgml
	$(DEBIANDOC2LATEX) -l C -O $< > $@

developers-reference.%.tex:	developers-reference.%.sgml
	$(DEBIANDOC2LATEX) -l $* -O $< > $@

%.pdf:	%.tex
#	 note that I have seen bi-stable .aux files, thus we check two levels deep
	-cp -pf prior.aux pprior.aux 2>/dev/null
	-cp -pf $(basename $<).aux prior.aux 2>/dev/null
#	 fail if we don't have pdflatex correctly installed
	kpsewhich pdflatex.fmt >/dev/null
#	 due to a bug in debiandoc2latex2e output, this might fail
	-pdflatex '\nonstopmode\input{$<}' >/dev/null # see $(@:.pdf=.log) for details
	@set -e								;\
	if ! cmp $(basename $<).aux prior.aux 2>/dev/null &&		\
	   ! cmp $(basename $<).aux pprior.aux 2>/dev/null; then	\
		if expr $(MAKELEVEL) '<' $(MAX_TEX_RECURSION) >/dev/null;\
		then							\
		   echo "remaking $@ (take $(MAKELEVEL))"		;\
		   rm -f $@						;\
		   $(MAKE) $@						;\
		else							\
		   echo "E: $@ needs remaking, but we have reached max. level, $(MAX_TEX_RECURSION)" ;\
		fi							\
	fi
	rm -f prior.aux pprior.aux

version.ent:	debian/changelog
	./debian/rules $@

%.validate : %
	nsgmls -wall -gues $<
	touch $@

USERMAP	:= ../../ddp/CVSROOT/users
.PHONY: prepare
prepare:
	@[ -f CVS/Root -a -f $(USERMAP) ] || \
		( echo "silly rabbit, prepare is for Adam" 1>&2; exit 1 )
	cvs2cl -r --usermap $(USERMAP)
	cvs ci -m "update for next release" ChangeLog

.PHONY: clean
clean:
	rm -rf developers-reference*.html
	rm -f developers-reference*.txt developers-reference*.pdf \
	      developers-reference*.ps developers-reference*.lout* lout.li \
	      developers-reference*.sasp* developers-reference*.tex \
	      developers-reference*.aux developers-reference*.toc \
	      developers-reference*.idx developers-reference*.log \
	      developers-reference*.out developers-reference*.dvi
	rm -f version.ent
	rm -f `find . -name "*~" -o -name "*.bak"`
	rm -f *.validate
	rm -f *~ *.bak .#* core

.PHONY: distclean
distclean: clean
	rm -f *.rej *.orig

developers-reference$(SRCEXT).sgml: version.ent common.ent

html: $(MANUAL).html

=== debian/changelog ===
developers-reference (2.11) unstable; urgency=low

  * Antoine Hulin:
    - some grammar corrections
    - update French translation
  * Martin Michlmayr:
    - changes in upload situation, not possible to remove from Incoming
      anymore; closes: #135559
    - also talk about dput a tiny bit
  * Adam Di Carlo:
    - Ch "Overview of Debian Maintainer Tools":
      - improve the intro
      - Charles Briscoe-Smith deprecates yada (I think new maintainers of
        that would be welcome)
      - debconf-doc mentioned for debconf
      - debhelper: don't talk about debmake; mention how to get info on the dh-* pkgs
      - dput: new section, closes: #129378
      - debootstrap: new section, closes: #129377
      - dpkg-dev-el: new section
      - other minor wording changes
    - Sec "Mailing Lists": where to find private archives, closes: #96780
    - Ch "Package uploads":
      - new Sec "Adding an entry to debian/changelog"
      - rename Sec "Announcing new packages" to "New packages"
    - crypto is in main, non-US is for patent restrictions, so:
      - excise some text from "Registering as a Debian developer"
      - changes in Sec "Uploading to ftp-master"
      - changes in Sec "Uploading to non-US"
  * old bugs closed out, closes: #110573

 -- Adam Di Carlo <aph@debian.org>  Sun,  7 Apr 2002 23:34:08 -0700

developers-reference (2.10.0) unstable; urgency=low

  * from Martin Michlmayr
    - update the "Applying to Become a New Maintainer" section, with
      review by Raphael Hertzog, closes: #133965
    - bugs closed in NMUs should uses 'closes' changelog entries,
      closes: #133951
    - developers are not required to subscribe to debian-private
      closes: #133955
    - some suggestions on places to use the proper term, Debian GNU/Linux,
      closes: #133953
    - fix some typos, closes: #133956
  * Adam Di Carlo:
    - frozen doesn't exist anymore, just testing; note, however, that
      there is a way to upload to 'woody-proposed-updates' -- if I can
      find some description of that, I'll document it; closes: #133948
    - minor build tweaks
    - minor cosmetics
    - isolate a few more language-independent bits
  * from Chris Tillman
    - change /usr/doc to /usr/share/doc, and typo in debian/copyright,
      closes: #126924

 -- Adam Di Carlo <aph@debian.org>  Sun, 24 Feb 2002 14:46:46 -0500

developers-reference (2.9.0) unstable; urgency=low

  * Josip Rodin: 
    - created a new subsection about uploading to stable, and elaborated
      about that subject
    - removed a stray sentence about stable from the paragraph about
      security uploads (which apply to all distributions equally)
    - replaced the nonexistent term "Security Manager" with "security officer"
    - uploading to stable and unstable is deprecated; updated the section
      about the experimental distribution; other fixes in the section
      talking about uploading to distributions
    - better organize some subsections in the section about package uploads
    - replaced some bogus <ftppath>s with <tt>s
    - noted how there is an upload queue on pandora, too
  * Antoine Hulin:
    - French translation updated
  * Adam Di Carlo:
    - normalize '--' as &mdash; for prettier output
    - integrate changes from James Troup, part of #102626
    - typo fix thanks to Mark Hodge

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:03:01 -0400

developers-reference (2.8.8) unstable; urgency=low

  * from Josip Rodin:
    - a few more strong words about sponsoring
    - started a	new chapter about the relationship between old and new
      developers

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Jul 2001 17:53:47 -0400

developers-reference (2.8.7) unstable; urgency=low

  * French updates
  * fix a typo in a link
  * dpkg-buildpackage -m<addr> flag was changed for -e<addr> when NMU'ing;
    update documentation accordingly
    closes: #101676
  * Matt Zimmerman fixes up some wording in the section talking about
    forwarding bugs upstream
    closes: #98312
  * provide proper l10n for SGML date entities; now we have &date-<LANG>
    entities which should be used
  * debian/rules: fixes for new debiandoc-sgml
  * debian/control: depend on debiandoc-sgml 1.1.48 or better

 -- Adam Di Carlo <aph@debian.org>  Thu, 21 Jun 2001 14:43:42 -0400

developers-reference (2.8.6) unstable; urgency=low

  * fix a typo, thanks to Antoine Hulin
  * French version: completely up-to-date now
  * Makefile: add a 'validate' target
  * prepare and ship "upstream" ChangeLog; move the debian changelog to
    changelog.Debian.gz
  * all versions: change the email address to use when orphaning
    closes: #93727

 -- Adam Di Carlo <aph@debian.org>  Fri, 13 Apr 2001 03:32:08 -0400

developers-reference (2.8.5) unstable; urgency=low

  * expunge references to the Debian Packaging Manual, which is now in the
    Policy
  * Japanese version: also comment out some references packaging manual;
    this translation needs updating
  * deny request to shut down non-maintainer bug maintenance bug closure
    practices (closes: Bug#88623)
  * add some advice about U.S. citizens uploading to non-US
    (closes: Bug#89694)
  * debian/control: Build-Depends should have been Build-Depends-Indep
  * French version: First complete translation of the Debian developer's
    reference guide.  Much work done by Antoine Hulin. Reviewed by Nicolas
    Bertolissio.
  * Portuguese version: work is started by Carlos Laviola, nothing
    included yet, however

 -- Adam Di Carlo <aph@debian.org>  Sun,  8 Apr 2001 01:25:51 -0400

developers-reference (2.8.4) unstable; urgency=low

  * debian/control: remove reference to obsolete packaging-manual package
    (closes: Bug#86505)
  * debian/control: fill in the description a bit more
  * doc-base: index.html corrected to be index.en.html
    (closes: Bug#85933)
  * Makefile: clean is cleaner

 -- Adam Di Carlo <aph@debian.org>  Sun, 25 Feb 2001 12:47:06 -0500



=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: debiandoc-sgml (>= 1.1.48), tetex-bin, tetex-extra

Package: developers-reference
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by for the
 community of Debian developers.
 .
 This package contains the English, as well as Japanese and French
 versions of the Developer's Reference.
 .
 Table of Contents (in English):
 .

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 # directory abstraction
 prefix		:= debian/tmp
-docdir		:= $(prefix)/usr/doc/$(package)
-sharedir	:= $(prefix)/usr/share/$(package)
+docdir		:= $(prefix)/usr/share/doc/$(package)
 docbasedir	:= $(prefix)/usr/share/doc-base
 
 # tool abstraction
@@ -21,44 +20,28 @@
 
 # version abstraction
 DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
-# pretty-print the date
-DATE		:= $(shell LC_ALL=C date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')
+DEB_DATE	:= $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
+# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
+DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
+DATE_FR		:= $(shell LC_ALL=fr_FR date --date="$(DEB_DATE)" '+%d %B %Y')
+DATE_JA		:= $(shell LC_ALL=ja_JP date --date="$(DEB_DATE)" '+%x')
 
-# source depends -- check if these packages are installed
-SRC_DEPENDS	:= debiandoc-sgml lout psutils
+version.ent:	debian/changelog
+	:> version.ent
+	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
+	echo "<!entity date-en \"$(DATE_EN)\">"     >> version.ent
+	echo "<!entity date-fr \"$(DATE_FR)\">"     >> version.ent
+	echo "<!entity date-ja \"$(DATE_JA)\">"     >> version.ent
 
-.PHONY: source-depends
-source-depends:
-	@set -e								;\
-	for dep in $(SRC_DEPENDS); do					\
-	    echo "checking if package \`$$dep' is installed..."		;\
-	    dpkg --get-selections | grep "$$dep\W\+install" ||	\
-		exit 1							;\
-	done
-	@echo "all source-depends seem to be installed, good"
-
-build:	developers-reference.sgml
+build:
 	$(checkdir)
-#	./debian/rules source-depends
-	rm -f version.ent
-	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
-	echo "<!entity date    \"$(DATE)\">"        >> version.ent
-	nsgmls -wall -s -E20 $^		# check SGML syntax
-	debiandoc2html $^
-	debiandoc2text $^
-	debiandoc2latexpdf -p letter $^
+	$(MAKE)
 	touch build
 
 clean:
 	$(checkdir)
+	$(MAKE) clean
 	rm -f build
-	rm -rf developers-reference.html
-	rm -f developers-reference.txt* developers-reference.ps	\
-	  developers-reference.pdf developers-reference.lout* lout.li	\
-	  developers-reference.sasp* developers-reference.tex		\
-	  developers-reference.aux developers-reference.toc 		\
-	  developers-reference.idx version.ent
-	rm -f `find . -name "*~"`
 	rm -rf $(prefix)
 	rm -f debian/files* core debian/substvars
 
@@ -67,16 +50,19 @@
 	$(checkroot)
 	rm -rf $(prefix)
 	$(make_directory) $(prefix)/DEBIAN
-	$(make_directory) $(docdir) $(sharedir) $(docbasedir)
+	$(make_directory) $(docdir) $(docbasedir)
 
-	$(make_directory) $(docdir)/developers-reference.html
-	$(install_file) developers-reference.html/*			\
-		$(docdir)/developers-reference.html/
-	$(install_file) developers-reference.txt $(docdir)/
-	$(install_file) developers-reference.pdf $(docdir)/
-	$(install_file) developers-reference.sgml version.ent common.ent $(docdir)/
+	for dir in $(wildcard developers-reference*.html); do \
+		$(make_directory) $(docdir)/$$dir ;\
+		$(install_file) $$dir/*.html $(docdir)/$$dir/ ;\
+	done
+	$(install_file) developers-reference*.txt $(docdir)/
+	$(install_file) developers-reference*.pdf $(docdir)/
+	$(install_file) developers-reference*.sgml version.ent common.ent $(docdir)/
+
 	$(install_file) debian/copyright $(docdir)/
-	$(install_file) debian/changelog $(docdir)/
+	$(install_file) ChangeLog $(docdir)/changelog
+	$(install_file) debian/changelog $(docdir)/changelog.Debian
 	$(install_file) developers-reference.desc $(docbasedir)/$(package)
 
 #	 make sure control files are good
